﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.UltraChart.Resources.Appearance;
using Infragistics.UltraChart.Shared.Styles;
using Infragistics.UltraChart.Core.Layers;

namespace CompositeChart
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraChart1.ChartType = ChartType.Composite;

            ChartArea area = new ChartArea();
            this.ultraChart1.CompositeChart.ChartAreas.Add(area);

            AxisItem axisY = new AxisItem();
            axisY.Extent = 20;
            axisY.DataType = AxisDataType.Numeric;
            axisY.Labels.ItemFormatString = "<DATA_VALUE:##.##>";
            axisY.OrientationType = AxisNumber.Y_Axis;
            area.Axes.Add(axisY);

            AxisItem axisY2 = new AxisItem();
            axisY2.Extent = 20;
            axisY2.DataType = AxisDataType.Numeric;
            axisY2.Labels.ItemFormatString = "<DATA_VALUE:##.##>";
            axisY2.OrientationType = AxisNumber.Y_Axis;
            axisY2.Visible = false;
            area.Axes.Add(axisY2);

            AxisItem axisX = new AxisItem();
            axisX.DataType = AxisDataType.String;
            axisX.Labels.ItemFormatString = "<ITEM_LABEL>";
            axisX.OrientationType = AxisNumber.X_Axis;
            axisX.SetLabelAxisType = SetLabelAxisType.GroupBySeries;
            area.Axes.Add(axisX);


            AxisItem axisX1 = new AxisItem();
            axisX1.DataType = AxisDataType.String;
            axisX1.Labels.ItemFormatString = "<ITEM_LABEL>";
            axisX1.Labels.Visible = false;
            axisX1.OrientationType = AxisNumber.X_Axis;
            axisX1.SetLabelAxisType = SetLabelAxisType.ContinuousData;
            area.Axes.Add(axisX1);

            ChartLayerAppearance myColumnLayer = new ChartLayerAppearance();
            myColumnLayer.ChartType = ChartType.ColumnChart;
            myColumnLayer.SwapRowsAndColumns = true;
            myColumnLayer.ChartArea = area;

            ChartLayerAppearance myColumnLayer2 = new ChartLayerAppearance();
            myColumnLayer2.ChartType = ChartType.LineChart;
            myColumnLayer2.ChartArea = area;

            DataTable dt = new DataTable();
            dt.Columns.Add("Month");
            dt.Columns.Add("Monthly Plane");
            dt.Columns.Add("Cumm Plane");
            dt.Columns.Add("Monthly Achieve");
            dt.Columns.Add("Cumm Achieve");

            dt.Rows.Add("Apr-10", 0.00, 0.00, 0.00, 0.00);
            dt.Rows.Add("May-10", 0.00, 0.00, 0.00, 0.00);
            dt.Rows.Add("Jun-10", 2.16, 2.16, 2.50, 2.70);
            dt.Rows.Add("Jul-10", 3.08, 5.23, 4.00, 4.10);
            dt.Rows.Add("Aug-10", 3.28, 8.51, 3.20, 3.20);
            dt.Rows.Add("Sep-10", 4.04, 12.56, 4.10, 4.50);
            dt.Rows.Add("Oct-10", 5.64, 18.20, 4.70, 4.30);
            dt.Rows.Add("Nov-10", 7.29, 25.49, 6.70, 6.90);
            dt.Rows.Add("Dec-10", 7.84, 33.33, 6.70, 6.20);
            dt.Rows.Add("Jan-11", 8.06, 41.39, 8.20, 7.10);
            dt.Rows.Add("Feb-11", 8.22, 49.60, 8.30, 8.50);
            dt.Rows.Add("Mar-11", 7.43, 57.03, 7.90, 8.10);
            dt.Rows.Add("Apr-11", 6.37, 63.40, 6.80, 7.10);
            dt.Rows.Add("May-11", 5.66, 69.06, 5.70, 6.10);
            dt.Rows.Add("Jun-11", 5.83, 74.80, 5.40, 5.60);
            dt.Rows.Add("Jul-11", 5.82, 80.70, 5.70, 5.50);
            dt.Rows.Add("Aug-11", 5.29, 86.00, 5.20, 5.10);
            dt.Rows.Add("Sep-11", 5.07, 91.07, 5.10, 5.40);
            dt.Rows.Add("Nov-11", 4.45, 95.51, 4.60, 4.10);
            dt.Rows.Add("Dec-11", 2.97, 99.50, 3.20, 3.10);



            NumericSeries series1 = new NumericSeries();
            series1.DataBind(dt, "Monthly Plane", "Month");
            series1.PEs.Add(new PaintElement(Color.Red));
            ultraChart1.Tooltips.FormatString = "<SERIES_LABEL:MMM yyyy>" + Environment.NewLine + "<ITEM_LABEL>: <DATA_VALUE:00.##>";
            myColumnLayer.Series.Add(series1);
            ultraChart1.CompositeChart.Series.Add(series1);


            NumericSeries series2 = new NumericSeries();
            series2.DataBind(dt, "Monthly Achieve", "Month");
            series2.PEs.Add(new PaintElement(Color.Blue));
            myColumnLayer.Series.Add(series2);
            ultraChart1.CompositeChart.Series.Add(series2);


            NumericSeries series3 = new NumericSeries();
            series3.DataBind(dt, "Cumm Plane", "Month");
            series3.PEs.Add(new PaintElement(Color.Yellow));
            myColumnLayer2.Series.Add(series3);
            ultraChart1.CompositeChart.Series.Add(series3);


            NumericSeries series4 = new NumericSeries();
            series4.DataBind(dt, "Cumm Achieve", "Month");
            series4.PEs.Add(new PaintElement(Color.Green));
            myColumnLayer2.Series.Add(series4);
            ultraChart1.CompositeChart.Series.Add(series4);

            myColumnLayer.AxisX = axisX;
            myColumnLayer.AxisY = axisY;
            this.ultraChart1.CompositeChart.ChartLayers.Add(myColumnLayer);

            myColumnLayer2.AxisX = axisX1;
            myColumnLayer2.AxisY = axisY2;
            this.ultraChart1.CompositeChart.ChartLayers.Add(myColumnLayer2);

        }
    }
}